<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.crm.ib.task.dao.mapper.TradeCommissionDao">

    <insert id="batchSave" parameterType="com.crm.rely.backend.model.pojo.table.TradeCommissionTable">
        INSERT INTO trade_commission
        (`order`, amount, agent_id, custom_id,`sales_id`,`sales_commission`, add_time)
        values
        <foreach collection="list" index="index" item="item" separator=",">
            (#{item.order}, #{item.amount}, #{item.agentId}, #{item.customId}, #{item.salesId}, #{item.salesCommission},
            #{item.addTime})
        </foreach>
    </insert>

</mapper>